Bug 5373 - fields listed on patron import do not match the csv file
Summary: fields listed on patron import do not match the csv file
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Tools (show other bugs)
Version: 3.6
Hardware: All All
: P3 normal (vote)
Assignee: Galen Charlton
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-11-07 22:12 UTC by Nicole C. Engard
Modified: 2013-12-05 19:59 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Proposed Patch (2.14 KB, patch)
2010-12-05 22:00 UTC, Garry Collum
Details | Diff | Splinter Review
signed off patch (2.22 KB, patch)
2010-12-16 14:48 UTC, Nicole C. Engard
Details | Diff | Splinter Review
Bug 5373 - allow 'cardnumber' to appear on the patron import field list (1.08 KB, patch)
2011-11-24 00:37 UTC, Robin Sheat
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 5373 - allow 'cardnumber' to appear on the patron import field list (1.29 KB, patch)
2012-02-19 06:46 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nicole C. Engard 2010-11-07 22:12:45 UTC
the fields listed in plain text on the patron import tool do not match those in the csv - the csv is correct, the text is wrong.
Comment 1 Nicole C. Engard 2010-11-07 22:16:37 UTC
turns out this is not a simple template change it's a perl script that I don't understand (yet). Reassigning to the default assignee.
Comment 2 Garry Collum 2010-12-05 22:00:41 UTC Comment hidden (obsolete)
Comment 3 Nicole C. Engard 2010-12-16 14:48:32 UTC Comment hidden (obsolete)
Comment 4 Chris Cormack 2010-12-16 20:14:40 UTC
Patch pushed please test
Comment 5 Chris Cormack 2010-12-19 21:10:23 UTC
Comment from Chris N

"I was just doing a bit of cherry-picking for 3.2.x and noticed this                                   
patch which has been committed to HEAD.                                                               
                                                                                                      
This is not the correct way to fix this "bug." Cardnumber is one of                                   
two fields stripped by line 64 in tools/import_borrowers.pl. If it is                                 
desirable to include 'cardnumber' in the field list, it should be                                     
removed from the grep in the underlying script at the above mentioned                                 
line.                                                                                                 
                                                                                                      
Doing this at the template level just results in an unnecessary remove                                
and re-addition"

I have reverted the patch
Comment 6 MJ Ray (software.coop) 2011-01-05 23:21:57 UTC
This bug is mentioned in:
Bug 5373: Adds cardnumber to the field list	of the Import Patrons NOTES. http://lists.koha-community.org/pipermail/koha-patches/2010-December/013191.html
Bug 5373: Adds cardnumber to the field list of the Import Patrons NOTES. http://lists.koha-community.org/pipermail/koha-patches/2010-December/013420.html
Bug 5373: Adds cardnumber to	the field list of the Import Patrons NOTES. http://lists.koha-community.org/pipermail/koha-patches/2010-December/013377.html
Comment 7 Robin Sheat 2011-11-24 00:37:28 UTC Comment hidden (obsolete)
Comment 8 Katrin Fischer 2012-02-19 06:45:22 UTC
Note: The online help file for the patron import page also lists borrowernumber:
borrowernumber, cardnumber, surname, firstname...
Comment 9 Katrin Fischer 2012-02-19 06:46:28 UTC
Created attachment 7749 [details] [review]
[SIGNED-OFF] Bug 5373 - allow 'cardnumber' to appear on the patron import field list

For some reason, it was explicitly removed, however you need it if you
want to match up on cardnumber.

Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
Easy to test and works nicely.
Before patch cardnumber is not shown in the list of fields on the
patron import page. After applying the patch it is.
Comment 10 Paul Poulain 2012-02-21 16:03:54 UTC
QA comment: tiny patch, passed QA
Comment 11 Paul Poulain 2012-02-21 16:06:21 UTC
wow, git blame says:

e3fa9f2d (Ryan Higgins         2008-08-09 15:27:27 -0500  65) my $columnkeystpl = [ map { {'key' => $_} }  grep {$_ ne 'bor...


was here for a very long time (3.5 years !!!)
Comment 12 Jared Camins-Esakov 2012-05-23 23:28:26 UTC
This patch will be included in the forthcoming 3.6.5 release (no string changes).